Package: org.gradle.api.plugins.jetty

## [Java] Class JettyPlugin

- org.gradle.api.plugins.jetty.JettyPlugin

- All Implemented Interfaces and Traits:
    Plugin

      public class JettyPlugin
      extends Object

  A Plugin which extends the WarPlugin to add tasks which run the web application using an embedded Jetty web container.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `JETTY_RUN` |
    `static String` | `JETTY_RUN_WAR` |
    `static String` | `JETTY_STOP` |
    `static String` | `RELOAD_AUTOMATIC` |
    `static String` | `RELOAD_MANUAL` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(Project project)`
    `JavaPluginConvention` | `getJavaConvention(Project project)`
    `WarPluginConvention` | `getWarConvention(Project project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String JETTY_RUN

    - #### public static final String JETTY_RUN_WAR

    - #### public static final String JETTY_STOP

    - #### public static final String RELOAD_AUTOMATIC

    - #### public static final String RELOAD_MANUAL

  - ### Method Detail

    - #### public void apply(Project project)

    - #### public JavaPluginConvention getJavaConvention(Project project)

    - #### public WarPluginConvention getWarConvention(Project project)